com.sun.jna.platform.win32

## Class WTypes.LPOLESTR.ByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.WTypes.LPOLESTR
    - - com.sun.jna.platform.win32.WTypes.LPOLESTR.ByReference

All Implemented Interfaces:
  NativeMapped, Structure.ByReference

Enclosing class:
  WTypes.LPOLESTR

    public static class WTypes.LPOLESTR.ByReference
    extends WTypes.LPOLESTR
    implements Structure.ByReference

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.WTypes.LPOLESTR

`WTypes.LPOLESTR.ByReference`

### Constructor Summary

Constructors
Constructor and Description
`ByReference()`

### Method Summary

### Methods inherited from class com.sun.jna.platform.win32.WTypes.LPOLESTR

`getValue, setValue, toString`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ByReference

    public ByReference()

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.